diff --git a/src/rhd_dri.c b/src/rhd_dri.c
index ce5af1f..0e58b3a 100644
--- a/src/rhd_dri.c
+++ b/src/rhd_dri.c
@@ -1921,6 +1921,9 @@ RHDDRMCPBuffer(int scrnIndex)
     dma.request_sizes = &size;
     dma.granted_count = 0;
 
+	if(Dri == 0)
+		    xf86DrvMsg(scrnIndex, X_ERROR, "RHDDRMCPBuffer: Dri ptr == NULL.\n");
+
     for (i = 0; i < R5XX_LOOP_COUNT; i++) {
 	int ret = drmDMA(Dri->drmFD, &dma);
 	if (!ret) {
diff --git a/src/rhd_video.c b/src/rhd_video.c
index a7b25a2..04a948c 100644
--- a/src/rhd_video.c
+++ b/src/rhd_video.c
@@ -827,7 +827,10 @@ RHDInitVideo(ScreenPtr pScreen)
     memcpy(newAdaptors, adaptors, num_adaptors * sizeof(XF86VideoAdaptorPtr));
     adaptors = newAdaptors;
 
-    if (rhdPtr->TwoDPrivate &&
+	if(rhdPtr->CS == 0)
+		xf86DrvMsg(pScrn->scrnIndex, X_WARNING, "RHDInitVideo: rhdPtr->CS == Null.\n");
+
+    if (rhdPtr->TwoDPrivate && rhdPtr->CS != 0 &&
 	((rhdPtr->CS->Type == RHD_CS_CP) ||
 	 (rhdPtr->CS->Type == RHD_CS_CPDMA))) {
 
